TKN-TASKRUN-LIST(1)

NAME

tkn-taskrun-list - Lists TaskRuns in a namespace

SYNOPSIS

tkn taskrun list

DESCRIPTION

Lists TaskRuns in a namespace

OPTIONS

-A, --all-namespaces[=false]
    list TaskRuns from all namespaces

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-h, --help[=false]
    help for list

--label=""
    A selector (label query) to filter on, supports '=', '==', and '!='

--limit=0
    limit TaskRuns listed (default: return all TaskRuns)

--no-headers[=false]
    do not print column headers with output (default print column headers with output)

-o, --output=""
    Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

--reverse[=false]
    list TaskRuns in reverse order

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

List all TaskRuns in namespace 'bar':

    tkn tr list -n bar

List all TaskRuns of Task 'foo' in namespace 'bar':

    tkn taskrun list foo -n bar

SEE ALSO

tkn-taskrun(1)